/api/gateway/v2/customer/browseBrowse through the customers
Request Body
application/json
Paging/filter options
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/gateway/v2/customer/browse" \ -H "Content-Type: application/json" \ -d '{ "pageNumber": 1, "pageSize": 1 }'{ "items": [ { "id": "string", "entityId": 0, "code": "string", "companyName": "string", "deliveryAddress": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "deliveryCode": "string", "displayName": "string", "emailAddress": "string", "fax": "string", "title": "string", "firstName": "string", "invoiceAddress": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "lastName": "string", "mainAddress": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "middleName": "string", "mobile": "string", "phone": "string", "website": "string", "searchName": "string" } ], "totalItemCount": 0}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}/api/gateway/v2/customer/storecustomerInserts or updates the customer (depends on if the Id is set)
Request Body
application/json
The customer to insert/update
TypeScript Definitions
Use the request body type in TypeScript.
Contains information about the customer.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/gateway/v2/customer/storecustomer" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "entityId": 0, "code": "string", "companyName": "string", "deliveryAddress": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "deliveryCode": "string", "displayName": "string", "emailAddress": "string", "fax": "string", "title": "string", "firstName": "string", "invoiceAddress": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "lastName": "string", "mainAddress": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "middleName": "string", "mobile": "string", "phone": "string", "website": "string", "searchName": "string"}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}/api/gateway/v2/customer/getbyidSearches for a customer with specified id
Query Parameters
The customer id
Response Body
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/customer/getbyid?id=string"{ "id": "string", "entityId": 0, "code": "string", "companyName": "string", "deliveryAddress": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "deliveryCode": "string", "displayName": "string", "emailAddress": "string", "fax": "string", "title": "string", "firstName": "string", "invoiceAddress": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "lastName": "string", "mainAddress": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "middleName": "string", "mobile": "string", "phone": "string", "website": "string", "searchName": "string"}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}Content Block
The ContentBlock section contains all operations related to content blocks. Content blocks are configurable CMS content managed in Stuart and served via this API.
Licensee
The Licensee section contains all operations related to Licensees. In most CPQ instances, a Licensee is equal to a store. A CPQ instance can have multiple Licensees, each with multiple Employees (users).